package ar.com.supervielle.wsdl.servicios.integracion.tarjetacredito_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:40:11.831-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", name = "TarjetaCreditoPortType_v1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.tarjetacredito.asignalimiteexcepcionvisa_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altacuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametros_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoxcliente_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultatasasmaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altaproductoscorporativos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaadicionales_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultasolicitudes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimiteempresa_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altaadelantomaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultacabeceraresumen_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.adhesioneresumen_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultatarjetasxcuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.pagingtypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoaltainstantaneamaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultimoresumen_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultahistorialpago_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altaadicional_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosxmarca_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altatitular_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.inhabilitaradhesiondebitoautomatico_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadosolicitud_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistadocuentas_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultdetalleliquidacion_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaplafond_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaclubsupervielle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneamaster_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmultixmarca_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaatributosxtipoproducto_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmulti_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultadetalle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altatarjeta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneavisa_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.actualizatarjetabatch_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimites_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.tarjetacredito.adhesiondebitoautomatico_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface TarjetaCreditoPortTypeV1 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaHistorialPago")
    public void consultaHistorialPago(
        @WebParam(partName = "entrada", name = "ReqConsultaHistorialPago", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaHistorialPago-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultahistorialpago_v1.ReqConsultaHistorialPago2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaHistorialPago", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaHistorialPago-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultahistorialpago_v1.RespConsultaHistorialPago2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaLimites")
    public void consultaLimites(
        @WebParam(partName = "entrada", name = "ReqConsultaLimites", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaLimites-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimites_v1.ReqConsultaLimites entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaLimites", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaLimites-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimites_v1.RespConsultaLimites> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaEstado")
    public void consultaEstado(
        @WebParam(partName = "entrada", name = "ReqConsultaEstTarjeta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstado-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestado_v1.ReqConsultaEstTarjeta entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaEstTarjeta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstado-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestado_v1.RespConsultaEstTarjeta> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaTasasMaster")
    public void consultaTasasMaster(
        @WebParam(partName = "entrada", name = "ReqConsultaTasasMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaTasasMaster-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultatasasmaster_v1.ReqConsultaTasasMaster entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaTasasMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaTasasMaster-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultatasasmaster_v1.RespConsultaTasasMaster> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaTarjetasXCuenta")
    public void consultaTarjetasXCuenta(
        @WebParam(partName = "entrada", name = "ReqConsultaTarjetasXCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaTarjetasXCuenta-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultatarjetasxcuenta_v1.ReqConsultaTarjetasXCuenta entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaTarjetasXCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaTarjetasXCuenta-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultatarjetasxcuenta_v1.RespConsultaTarjetasXCuenta> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaListado")
    public void consultaListado(
        @WebParam(partName = "entrada", name = "ReqConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaListado-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistado_v1.ReqConsultaListado2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaListado-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistado_v1.RespConsultaListado2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito-v1/consultaParametrosMultixMarca")
    public void consultaParametrosMultixMarca(
        @WebParam(partName = "entrada", name = "ReqConsultaParametrosMultixMarca", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametrosMultixMarca-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmultixmarca_v1.ReqConsultaParametrosMultixMarca entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaParametrosMultixMarca", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametrosMultixMarca-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmultixmarca_v1.RespConsultaParametrosMultixMarca> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltDetalleLiquidacion-v1")
    public void consultaUltDetalleLiquidacion(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaUltDetalleLiquidacion", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltDetalleLiquidacion-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultdetalleliquidacion_v1.ReqConsultaUltDetalleLiquidacion entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaUltDetalleLiquidacion", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltDetalleLiquidacion-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultdetalleliquidacion_v1.RespConsultaUltDetalleLiquidacion> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltimoResumen-v1")
    public void consultaUltimoResumen(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaUltimoResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltimoResumen-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultimoresumen_v1.ReqConsultaUltimoResumen entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaUltimoResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaUltimoResumen-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaultimoresumen_v1.RespConsultaUltimoResumen> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaPlafond")
    public void consultaPlafond(
        @WebParam(partName = "entrada", name = "ReqConsultaPlafond", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaPlafond-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaplafond_v1.ReqConsultaPlafond entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaPlafond", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaPlafond-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaplafond_v1.RespConsultaPlafond> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/adhesionDebitoAutomatico")
    public void adhesionDebitoAutomatico(
        @WebParam(partName = "entrada", name = "ReqAdhesionDebitoAutomatico", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/adhesionDebitoAutomatico-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.adhesiondebitoautomatico_v1.ReqAdhesionDebitoAutomatico entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAdhesionDebitoAutomatico", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/adhesionDebitoAutomatico-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.adhesiondebitoautomatico_v1.RespAdhesionDebitoAutomatico> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaCabeceraResumen-v1")
    public void consultaCabeceraResumen(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaCabeceraResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaCabeceraResumen-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultacabeceraresumen_v1.ReqConsultaCabeceraResumen entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCabeceraResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaCabeceraResumen-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultacabeceraresumen_v1.RespConsultaCabeceraResumen> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaEstadoSolicitud")
    public void consultaEstadoSolicitud(
        @WebParam(partName = "entrada", name = "ReqConsultaEstadoSolicitud", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstadoSolicitud-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadosolicitud_v1.ReqConsultaEstadoSolicitud entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaEstadoSolicitud", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstadoSolicitud-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadosolicitud_v1.RespConsultaEstadoSolicitud> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaListadoCuentas")
    public void consultaListadoCuentas(
        @WebParam(partName = "entrada", name = "ReqConsultaListadoCuentas", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaListadoCuentas-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistadocuentas_v1.ReqConsultaListadoCuentas entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListadoCuentas", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaListadoCuentas-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultalistadocuentas_v1.RespConsultaListadoCuentas> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/actualizaTarjetaBatch-v1")
    public void actualizarTarjetaBatch(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqActualizaTarjetaBatch", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/actualizaTarjetaBatch-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.actualizatarjetabatch_v1.ReqActualizaTarjetaBatch entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespActualizaTarjetaBatch", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/actualizaTarjetaBatch-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.actualizatarjetabatch_v1.RespActualizaTarjetaBatch> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito-v1/consultaParametrosxMarca")
    public void consultaParametrosxMarca(
        @WebParam(partName = "entrada", name = "ReqConsultaParametrosxMarca", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametrosxMarca-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosxmarca_v1.ReqConsultaParametrosxMarca entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaParametrosxMarca", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametrosxMarca-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosxmarca_v1.RespConsultaParametrosxMarca> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/adhesionEResumen")
    public void adhesionEResumen(
        @WebParam(partName = "entrada", name = "ReqAdhesionEResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/adhesionEResumen-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.adhesioneresumen_v1.ReqAdhesionEResumen entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAdhesionEResumen", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/adhesionEResumen-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.adhesioneresumen_v1.RespAdhesionEResumen> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaDetalle")
    public void consultaDetalle(
        @WebParam(partName = "entrada", name = "ReqConsultaDetalle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaDetalle-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultadetalle_v1.ReqConsultaDetalle entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDetalle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaDetalle-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultadetalle_v1.RespConsultaDetalle> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaAtributosXTipoProducto")
    public void consultaAtributosXTipoProducto(
        @WebParam(partName = "entrada", name = "ReqConsultaAtributosXTipoProducto", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaAtributosXTipoProducto-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaatributosxtipoproducto_v1.ReqConsultaAtributosXTipoProducto entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaAtributosXTipoProducto", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaAtributosXTipoProducto-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaatributosxtipoproducto_v1.RespConsultaAtributosXTipoProducto> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaEstadoxCliente")
    public void consultaEstadoxCliente(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaEstadoxCliente", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstadoxCliente-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoxcliente_v1.ReqConsultaEstadoxCliente entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaEstadoxCliente", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstadoxCliente-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoxcliente_v1.RespConsultaEstadoxCliente> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito-v1/altaInstantaneaVisa")
    public void altaInstantaneaVisa(
        @WebParam(partName = "entrada", name = "ReqAltaInstantaneaVisa", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaVisa-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneavisa_v1.ReqAltaInstantaneaVisa entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaInstantaneaVisa", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaVisa-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneavisa_v1.RespAltaInstantaneaVisa> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/Integracion/tarjetaCredito-v1/asignaLimiteExcepcionVisa")
    public void asignaLimiteExcepcionVisa(
        @WebParam(partName = "entrada", name = "ReqAsignaLimiteExcepcionVisa", targetNamespace = "http://www.supervielle.com.ar/xsd/integracion/tarjetaCredito/asignaLimiteExcepcionVisa-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.asignalimiteexcepcionvisa_v1.ReqAsignaLimiteExcepcionVisa entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAsignaLimiteExcepcionVisa", targetNamespace = "http://www.supervielle.com.ar/xsd/integracion/tarjetaCredito/asignaLimiteExcepcionVisa-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.asignalimiteexcepcionvisa_v1.RespAsignaLimiteExcepcionVisa> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaClubSupervielle")
    public void consultaClubSupervielle(
        @WebParam(partName = "entrada", name = "ReqConsultaClubSupervielle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaClubSupervielle-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaclubsupervielle_v1.ReqConsultaClubSupervielle entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaClubSupervielle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaClubSupervielle-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaclubsupervielle_v1.RespConsultaClubSupervielle> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaMaster-v1")
    public void altaInstantaneaMaster(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqAltaInstantaneaMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaMaster-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneamaster_v1.ReqAltaInstantaneaMaster entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaInstantaneaMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaInstantaneaMaster-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altainstantaneamaster_v1.RespAltaInstantaneaMaster> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito-v1/consultaEstadoAltaInstantaneaMaster")
    public void consultaEstadoAltaInstantaneaMaster(
        @WebParam(partName = "entrada", name = "ReqConsultaEstadoAltaInstantaneaMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstadoAltaInstantaneaMaster-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoaltainstantaneamaster_v1.ReqConsultaEstadoAltaInstantaneaMaster entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaEstadoAltaInstantaneaMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaEstadoAltaInstantaneaMaster-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaestadoaltainstantaneamaster_v1.RespConsultaEstadoAltaInstantaneaMaster> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/inhabilitarAdhesionDebitoAutomatico")
    public void inhabilitarAdhesionDebitoAutomatico(
        @WebParam(partName = "entrada", name = "ReqInhabilitarAdhesionDebitoAutomatico", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/inhabilitarAdhesionDebitoAutomatico-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.inhabilitaradhesiondebitoautomatico_v1.ReqInhabilitarAdhesionDebitoAutomatico entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespInhabilitarAdhesionDebitoAutomatico", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/inhabilitarAdhesionDebitoAutomatico-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.inhabilitaradhesiondebitoautomatico_v1.RespInhabilitarAdhesionDebitoAutomatico> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/Integracion/tarjetaCredito-v1/altaAdelantoMaster")
    public void altaAdelantoMaster(
        @WebParam(partName = "entrada", name = "ReqAltaAdelantoMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaAdelantoMaster-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altaadelantomaster_v1.ReqAltaAdelantoMaster entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaAdelantoMaster", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaAdelantoMaster-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altaadelantomaster_v1.RespAltaAdelantoMaster> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaSolicitudes")
    public void consultaSolicitudes(
        @WebParam(partName = "entrada", name = "ReqConsultaSolicitudes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaSolicitudes-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultasolicitudes_v1.ReqConsultaSolicitudes entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaSolicitudes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaSolicitudes-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultasolicitudes_v1.RespConsultaSolicitudes> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaParametros")
    public void consultaParametros(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaParametros", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametros-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametros_v1.ReqConsultaParametros entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaParametros", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametros-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametros_v1.RespConsultaParametros> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/altaProductosCorporativos")
    public void altaProductosCorporativos(
        @WebParam(partName = "entrada", name = "ReqAltaProductosCorporativos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaProductosCorporativos-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altaproductoscorporativos_v1.ReqAltaProductosCorporativos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaProductosCorporativos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaProductosCorporativos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altaproductoscorporativos_v1.RespAltaProductosCorporativos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaParametrosMulti")
    public void consultaParametrosMulti(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaParametrosMulti", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametrosMulti-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmulti_v1.ReqConsultaParametrosMulti entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaParametrosMulti", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaParametrosMulti-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaparametrosmulti_v1.RespConsultaParametrosMulti> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaAdicionales")
    public void consultaAdicionales(
        @WebParam(partName = "entrada", name = "ReqConsultaAdicionales", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaAdicionales-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultaadicionales_v1.ReqConsultaAdicionales entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaAdicionales", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaAdicionales-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultaadicionales_v1.RespConsultaAdicionales> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaLimitesEmpresa")
    public void consultaLimitesEmpresa(
        @WebParam(partName = "entrada", name = "ReqConsultaLimiteEmpresa", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaLimiteEmpresa-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimiteempresa_v1.ReqConsultaLimiteEmpresa entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaLimiteEmpresa", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaLimiteEmpresa-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultalimiteempresa_v1.RespConsultaLimiteEmpresa> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/altaAdicional")
    public void altaAdicional(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqAltaAdicional", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaAdicional-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altaadicional_v1.ReqAltaAdicional entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaAdicional", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaAdicional-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altaadicional_v1.RespAltaAdicional> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/consultaMovimientos")
    public void consultaMovimientos(
        @WebParam(partName = "entrada", name = "ReqConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaMovimientos-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.consultamovimientos_v1.ReqConsultaMovimientos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/consultaMovimientos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.consultamovimientos_v1.RespConsultaMovimientos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1/altaTitular")
    public void altaTitular(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqAltaTitular", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaTitular-v1")
        ar.com.supervielle.xsd.integracion.tarjetacredito.altatitular_v1.ReqAltaTitular entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaTitular", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/tarjetaCredito/altaTitular-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.tarjetacredito.altatitular_v1.RespAltaTitular> salida
    ) throws FaultMessage;
}
